Bug 6490 - abf put error message
: abf put error message
Status: RESOLVED WORKSFORME
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-24 14:45 MSK by Vladimir Potapov
Modified: 2016-12-12 01:09 MSK (History)
2 users (show)

See Also:
RPM Package: abf
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-12-24 14:45:56 MSK
abf put не работает без параметра -m.

abf put 
Traceback (most recent call last):
  File "/usr/bin/abf", line 1737, in <module>
    command_line.func()
  File "/usr/bin/abf", line 793, in put
    yaml_path = os.path.join(path, '.abf.yml')
  File "/usr/lib64/python2.7/posixpath.py", line 77, in join
    elif path == '' or path.endswith('/'):
AttributeError: 'NoneType' object has no attribute 'endswith'


Но узнать это просто так невозможно, т.к. в справке:

abf put --help
usage: abf put [-h] [-m MESSAGE] [-f] [-b] [-s MINIMAL_FILE_SIZE] [-n] [-a]
               [-v]

-m в квадратных скобках, т.е. необязательный параметр.

Ожидается
1) при запуске abf put не вываливать питонную ошибку, а говорить что требуется -m Message
2) Поправить справку что -m это обязательный параметр
Comment 1 Denis Silakov 2015-12-24 16:05:19 MSK
Fixed in 2.5.1.
Comment 2 Denis Silakov 2016-01-05 20:40:40 MSK
After the change was applied, it turned out that "-m" should not be mandatory - we do have use cases where "abf put" workds fine without it.

Vladimir, could you provide me with more details on how did you get error?
Comment 3 Vladimir Potapov 2016-01-06 06:58:30 MSK
Там именно так и было, я ж только пробовал работать с abf.
получил проект через get, добавил патч, посылал через put - получал ошибку.
Сейчас воспроизвести нельзя т.к. abf исправленный в репах.
Comment 4 Denis Silakov 2016-01-06 23:18:59 MSK
Сейчас я это изменение откатил, так что можно будет воспроизвести, обновленный abfcc уже в репах.

Опция "-m" эта изначально и не задумывалась как обязательная, о чем можно узнать из английского help'а (http://wiki.rosalab.ru/en/index.php/ABF_Console_Client#put):

With this option specified, "git add --all", "git commit -m <message>" and "git push" will be executed.

Т.е. эту опцию можно не указывать, тогда "abf put" просто загрузит бинарные файлы на file store, а в git коммитить ничего не будет.

Так что реальная причина твоей ошибки не в обязательности/опциональности "-m", а где-то еще.
Comment 5 Denis Silakov 2016-12-12 01:09:27 MSK
Если все-таки воспроизведется - расскажите, как.